Page MenuHomePhabricator

Crasher in handleLinkNeighbours dom pass
Closed, ResolvedPublic

Description

 t stack 	TypeError: Cannot read property 'push' of undefined
    at handleLinkNeighbours (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/src/lib/wt2html/pp/handlers/handleLinkNeighbours.js:170:18)
    at DOMTraverser.callHandlers (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/src/lib/utils/DOMTraverser.js:64:32)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/src/lib/utils/DOMTraverser.js:129:27)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/src/lib/utils/DOMTraverser.js:140:10)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/src/lib/wt2html/DOMPostProcessor.js:536:17)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:812:43)
    at /srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:814:9
    at tryCatch2 (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/babybird/lib/promise.js:48:12)
    at PrFunPromise.Promise (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/babybird/lib/promise.js:458:15)
    at new PrFunPromise (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:100:21)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy-cache/revs/828034c176c62ff5784434f0ab922142da4b6e55/node_modules/prfun/lib/index.js:797:21)
    at emitOne (events.js:96:13)
    at TreeBuilder.emit (events.js:188:7)
t tags 	es, gelf, normalized_message_untrimmed
t title 	Повернення_короля
t type 	parsoid
t userAgent 	ChangePropagation/WMF
t version 	1.0
t wiki 	ukwiki

Event Timeline

ssastry created this task.Jun 9 2018, 5:02 AM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptJun 9 2018, 5:02 AM
ssastry triaged this task as High priority.Jun 9 2018, 5:02 AM
Arlolra claimed this task.Jun 12 2018, 2:55 PM

Change 440020 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Record arg dict info regardless of inTemplate state

https://gerrit.wikimedia.org/r/440020

Change 440260 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Further protection from missing data-mw parts

https://gerrit.wikimedia.org/r/440260

Change 440020 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Set inTemplate for pipelines where it was missing

https://gerrit.wikimedia.org/r/440020

Change 440260 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Further protection from missing data-mw parts

https://gerrit.wikimedia.org/r/440260

Arlolra closed this task as Resolved.Jun 14 2018, 4:04 PM
Vvjjkkii renamed this task from Crasher in handleLinkNeighbours dom pass to ocbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Arlolra as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Arlolra; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from ocbaaaaaaa to Crasher in handleLinkNeighbours dom pass.Jul 2 2018, 8:35 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Arlolra.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Arlolra.